﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UnicodeDemoCSharp
{
    public partial class fMain : Form
    {
        struct City
        {
            public string name;
            public int x;
            public int y;
        }

        List<City> cities = new List<City>();

        public fMain()
        {
            InitializeComponent();
        }

        private void cmdDraw_Click(object sender, EventArgs e)
        {
            City cityToAdd = new City();

            // First, set all the data for the city names and positions
            cities.Clear();

            cityToAdd.name = '\x6771'.ToString() + '\x4EAC'.ToString(); // Tokyo
            cityToAdd.x = 185;
            cityToAdd.y = 210;
            cities.Add(cityToAdd);

            cityToAdd.name = '\x5927'.ToString() + '\x962A'.ToString(); // Osaka
            cityToAdd.x = 120;
            cityToAdd.y = 229;
            cities.Add(cityToAdd);
            
            cityToAdd.name = '\x5E83'.ToString() + '\x5CF6'.ToString(); // Hiroshima
            cityToAdd.x = 80;
            cityToAdd.y = 227;
            cities.Add(cityToAdd);

            cityToAdd.name = '\x672D'.ToString() + '\x5CA1'.ToString(); // Sapporo
            cityToAdd.x = 200;
            cityToAdd.y = 61;
            cities.Add(cityToAdd);

            cityToAdd.name = '\x798F'.ToString() + '\x5CA1'.ToString(); // Fukuoka
            cityToAdd.x = 34;
            cityToAdd.y = 250;
            cities.Add(cityToAdd);

            // Start a new image with a cyan background
            axImageBox1.NewImage(300, 300);

            // Draw the four islands using Polygon function
            drawMap();

            // Select the font and other settings

            axImageBox1.TextFont = new Font("Arial", 15); // another font could be used here
            axImageBox1.BrushColor = System.Drawing.Color.Black;
            axImageBox1.PenColor = System.Drawing.Color.Black;
            axImageBox1.TextJustify = csXImageTrial.TxTextJustify.tjCenter;
            axImageBox1.TextTransparent = true;

            // Draw circles to mark the positions and write the names
            for (int i = 0; i < 5; i++)
            {
                axImageBox1.Ellipse(cities[i].x - 2, cities[i].y - 2, cities[i].x + 2, cities[i].y + 2);
                axImageBox1.DrawText(cities[i].x, cities[i].y + 10, cities[i].name);
            }
        }

        private void drawMap()
        {
            axImageBox1.PenColor = System.Drawing.Color.Black;
            axImageBox1.BrushColor = System.Drawing.Color.Pink;

            axImageBox1.PointAdd(50, 225);
            axImageBox1.PointAdd(127, 199);
            axImageBox1.PointAdd(178, 154);
            axImageBox1.PointAdd(182, 107);
            axImageBox1.PointAdd(206, 107);
            axImageBox1.PointAdd(217, 135);
            axImageBox1.PointAdd(193, 212);
            axImageBox1.PointAdd(120, 247);
            axImageBox1.PointAdd(100, 224);
            axImageBox1.PointAdd(62, 238);
            axImageBox1.Polygon();

            axImageBox1.PointAdd(41, 238);
            axImageBox1.PointAdd(20, 249);
            axImageBox1.PointAdd(38, 290);
            axImageBox1.PointAdd(61, 257);
            axImageBox1.Polygon();

            axImageBox1.PointAdd(64, 245);
            axImageBox1.PointAdd(77, 235);
            axImageBox1.PointAdd(99, 231);
            axImageBox1.PointAdd(105, 241);
            axImageBox1.PointAdd(74, 262);
            axImageBox1.Polygon();

            axImageBox1.PointAdd(180, 76);
            axImageBox1.PointAdd(215, 28);
            axImageBox1.PointAdd(256, 47);
            axImageBox1.PointAdd(228, 83);
            axImageBox1.Polygon();
        }
    }
}
